Bug 184085 - liferea causes segfault in gdk
liferea causes segfault in gdk
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2006-03-06 00:01 EST by Dave Jones
Modified: 2015-01-04 17:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-17 14:23:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Backtrace of liferea crash (5.52 KB, text/plain)
2006-03-09 10:12 EST, Philip Trickett
no flags Details

  None (edit)
Description Dave Jones 2006-03-06 00:01:06 EST
start up liferea, wait for it to start rendering some feeds, and after 30
seconds or so, it segfaults with this backtrace...

(gdb) bt
#0  0x000000323501b3b2 in gdk_cairo_set_source_pixbuf () from
#1  0x0000003235273899 in gtk_cell_renderer_pixbuf_new () from
#2  0x00000032353f0082 in gtk_tree_view_column_focus_cell () from
#3  0x00000032353f0ce1 in gtk_tree_view_column_cell_is_visible ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#4  0x00000032353ebbb6 in gtk_tree_view_get_hadjustment () from
#5  0x0000003235323c3d in gtk_marshal_BOOLEAN__VOID () from
#6  0x000000323360b21d in g_closure_invoke () from /usr/lib64/libgobject-2.0.so.0
#7  0x000000323361b538 in g_signal_override_class_closure () from
#8  0x000000323361c13d in g_signal_emit_valist () from
#9  0x000000323361c553 in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
#10 0x00000032353fd49e in gtk_widget_get_default_style () from
#11 0x000000323531eaf0 in gtk_main_do_event () from /usr/lib64/libgtk-x11-2.0.so.0
#12 0x000000323503257a in gdk_window_is_viewable () from
#13 0x000000323503270b in gdk_window_process_all_updates () from
#14 0x000000323529d9e5 in gtk_container_check_resize () from
#15 0x0000003232e26f7a in g_main_context_dispatch () from
#16 0x0000003232e2a105 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#17 0x0000003232e2a42d in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#18 0x000000323531ecd3 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#19 0x0000000000435d4b in main (argc=1, argv=0x7fffffe4a9d8) at main.c:285

liferea doing something silly, or lib bug ?
Comment 1 Philip Trickett 2006-03-09 10:11:40 EST
I can confirm this.

Backtrace attached as a file.

Comment 2 Philip Trickett 2006-03-09 10:12:45 EST
Created attachment 125878 [details]
Backtrace of liferea crash
Comment 3 Dave Jones 2008-01-17 14:23:13 EST
I eventually got fed up with liferea's instability and switched to google reader.
For all I know, it may be better these days, but given the lack of interest in
fixing this over the last two years, we may as well close it out.

Note You need to log in before you can comment on or make changes to this bug.